POST Export BOFIS events.
POST /merchant/webhook/sa/sample/endpoint/to/export/bofis/events/to/external/system
Operation ID: exportBofis. Tags: Store Fulfillment Event Webhook.
Export BOFIS events from merchant's system. Merchants must implement the endpoint per this specification and then configure it in CMS under CMS > Store Management > Integration > Custom API Connectors > Create. Make sure to create the endpoint in CMS with the following details:
- Under API Config:
- API Key:
BOFIS_EXPORT - API Endpoint: Provide the external endpoint to get the order
- API Key:
- Under JSON Config:
- Integration Type:
HTTP_GET - JSON Headers: Provide the header for the API. Headers can be Content-Type, Authorization attributes like clientId/password, for example: {"Content-Type":"application/json","client_id":"myClientId","client_secret":"myClientSecret"}.
- Integration Type:
Request body
Media type: application/json. Schema: FulfillmentEvent.
Responses
- default
Default response.
Media type:
application/json. Schema:SpiPSResponse.